com.ibm.openpages.api.scheduler

## Interface ISchedJobConfigurationItem

-     public interface ISchedJobConfigurationItem

  This defines a single field definition for a job

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ISchedJobConfigurationItem` | `clone()`
    `java.lang.String` | `getFieldName()` Get the name of the configuration field
    `java.lang.String` | `getFieldType()` Get the type of the configuration field
    `java.lang.String` | `getFieldValue()` Get the value of the field
    `Id` | `getId()` Get the Id of the job field configuration
    `Id` | `getJobId()` Get the Id of the job to which this configuration field belongs
    `boolean` | `isEncrypted()` Check if the value of the field is encrypted
    `void` | `setEncrypted(boolean isEncrypted)` Specify whether the field value should be encrypted
    `void` | `setFieldName(java.lang.String fieldName)` Set the name of the configuration field
    `void` | `setFieldType(java.lang.String fieldType)` Set the type of the field
    `void` | `setFieldValue(java.lang.String fieldValue)` Set the value of the field
    `void` | `setJobId(Id jobId)` Set the Id of the job to which this configuration field belongs

- - ### Method Detail

    - #### getId

          Id getId()

      Get the Id of the job field configuration
      Returns:
        Id of the configuration field

    - #### getJobId

          Id getJobId()

      Get the Id of the job to which this configuration field belongs
      Returns:
        The job Id

    - #### setJobId

          void setJobId(Id jobId)

      Set the Id of the job to which this configuration field belongs
      Parameters:
        `jobId` - The Id of the Job

    - #### getFieldName

          java.lang.String getFieldName()

      Get the name of the configuration field
      Returns:
        Name of the field

    - #### setFieldName

          void setFieldName(java.lang.String fieldName)

      Set the name of the configuration field
      Parameters:
        `fieldName` - Name of the field

    - #### getFieldType

          java.lang.String getFieldType()

      Get the type of the configuration field
      Returns:
        The field type

    - #### setFieldType

          void setFieldType(java.lang.String fieldType)

      Set the type of the field
      Parameters:
        `fieldType` - The field type - currently 'String'

    - #### getFieldValue

          java.lang.String getFieldValue()

      Get the value of the field
      Returns:
        The field value

    - #### setFieldValue

          void setFieldValue(java.lang.String fieldValue)

      Set the value of the field
      Parameters:
        `fieldValue` - The field value

    - #### isEncrypted

          boolean isEncrypted()

      Check if the value of the field is encrypted
      Returns:
        true, if encrypted; false otherwise

    - #### setEncrypted

          void setEncrypted(boolean isEncrypted)

      Specify whether the field value should be encrypted
      Parameters:
        `isEncrypted` - If true, the field will be encrypted; otherwise it will be stored and displayed in plain text

    - #### clone

          ISchedJobConfigurationItem clone()

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.